### Method

# ECal ComponentAlarmTrigger set_relative

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_trigger_set_relative (
      ECalComponentAlarmTrigger* trigger,
      ECalComponentAlarmTriggerKind kind,
      const ICalDuration* duration
    )

#### Description [src]

Set the `trigegr` with the given `kind` and `duration`. The `kind` can be any but the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE`. To set an absolute trigger use e_cal_component_alarm_trigger_set_absolute().

Available since: 3.34

#### Parameters

`kind`

  Type: `ECalComponentAlarmTriggerKind`

  An `ECalComponentAlarmTriggerKind`, any but the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE`.

`duration`

  Type: `None`

  The duration relative to `kind`, as an `ICalDuration`.

  The data is owned by the caller of the method.